package ch.lantersoft.grd.ui;

import java.awt.MultipleGradientPaint.CycleMethod;

public enum CycleMode {

	NO_CYBLE("No cycle",CycleMethod.NO_CYCLE),
	REFLECT("Reflection",CycleMethod.REFLECT),
	REPEAT("Repetition",CycleMethod.REPEAT);
	
	private String printname;
	private CycleMethod method;
	
	private CycleMode(String printname, CycleMethod method) {
		this.printname = printname;
		this.method = method;
	}
	
	public CycleMethod getCycleMethod() {
		return method;
	}
	
	@Override
	public String toString() {
		return printname;
	}
	
}
