package ch.lantersoft.grd;
import java.awt.BorderLayout;
import java.io.File;

import javax.imageio.ImageIO;
import javax.swing.JApplet;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
import javax.swing.UIManager;
import javax.swing.border.EtchedBorder;

import ch.lantersoft.grd.protector.Protector;
import ch.lantersoft.grd.ui.View;

public class Gradienter extends JApplet {

	public static void main(String[] args) {
		setLookAndFeel();
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				JFrame frame = new JFrame("Gradienter");
				try {
					frame.setIconImage(ImageIO.read(new File("ress/Gradienter.png")));
				} catch (Exception e) {
					e.printStackTrace();
				}
				frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				frame.add(new View(new Protector()));
				frame.setSize(960,600);
				frame.setLocationRelativeTo(null);
				frame.setVisible(true);
			}
		});
	}
	
	public void init() {
		setLookAndFeel();
		JPanel pnl = new JPanel(new BorderLayout());
		pnl.setBorder(new EtchedBorder());
		pnl.add(new View(new Protector()));
		add(pnl);
		setSize(740, 462);
	}
	
	private static void setLookAndFeel() {
		try {
	        UIManager.setLookAndFeel(
//		            UIManager.getSystemLookAndFeelClassName());
//		        	UIManager.getCrossPlatformLookAndFeelClassName());
		        	"com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel");
//	        		"com.sun.java.swing.plaf.motif.MotifLookAndFeel");
	    } catch (Exception e) {
	    	e.printStackTrace();
	    }
	}
}
