package ch.lantersoft.grd.protector;
import java.awt.Paint;
import java.util.Observable;


public abstract class PaintProtector extends Observable {

	public abstract String getName();

	public abstract Paint getPaint();
	
	public abstract String getCode();
	
	public abstract void move(int x, int y);
	
	public abstract void click(int x, int y);
	
	protected void fireStateChanged() {
		setChanged();
		notifyObservers();
	}
}
