package ch.lantersoft.grd.ui;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;

import ch.lantersoft.grd.protector.Protector;
import ch.lantersoft.grd.ui.util.GridBagLayoutComponent;


public class View extends GridBagLayoutComponent {

	private static final long serialVersionUID = 201008301836L;

	public View(Protector protector) {
		setLayout(new BorderLayout());
		
		CmpCode cmpCode = new CmpCode(protector);
		CmpCtrl cmpCtrl = new CmpCtrl(protector);
		CmpGradient cmpGradient = new CmpGradient(protector);
		
		JPanel pnlGradient = new JPanel(new BorderLayout());
		pnlGradient.add(cmpGradient,BorderLayout.CENTER);

		JPanel pnl = new JPanel(new BorderLayout());
		pnl.add(pnlGradient,BorderLayout.CENTER);
		pnl.add(cmpCode,BorderLayout.SOUTH);
		pnl.setBorder(new EmptyBorder(5,5,5,5));
		
		add(pnl,BorderLayout.CENTER);
		add(cmpCtrl,BorderLayout.EAST);
	}
	
}
